> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/etf/summary-history.md).

# 2.1 ETF Summary History

```
GET /etfs/summary-history
```

**Request Parameters**

| Parameter     | Type    | Required | Description                                           |
| ------------- | ------- | -------- | ----------------------------------------------------- |
| symbol        | string  | Yes      | Currency symbol, e.g. BTC, ETH                        |
| country\_code | string  | Yes      | Country code, e.g. US                                 |
| start\_date   | string  | No       | Start date. Only the most recent 1 month is supported |
| end\_date     | string  | No       | End date. Only the most recent 1 month is supported   |
| limit         | integer | No       | Number of records, default 50, max 300                |

**Response Example**

```json
[
    {
        "date": "2024-04-12",
        "total_net_inflow": -55066297.0000000000000000,
        "total_value_traded": 4706120449.0000000000000000,
        "total_net_assets": 56216535367.0000000000000000,
        "cum_net_inflow": 13534833596.0950000000000000
    },
    {
        "date": "2024-04-11",
        "total_net_inflow": 91269283.0000000000000000,
        "total_value_traded": 2498627928.0000000000000000,
        "total_net_assets": 59225065270.0000000000000000,
        "cum_net_inflow": 12581438056.0950000000000000
    }
]
```

**Response Fields**

| Field                | Type       | Description                                                                   |
| -------------------- | ---------- | ----------------------------------------------------------------------------- |
| date                 | String     | Trading date, format yyyy-MM-dd                                               |
| total\_net\_inflow   | BigDecimal | Total net inflow of all ETFs on the day (USD); negative indicates net outflow |
| total\_value\_traded | BigDecimal | Total trading volume of all ETFs (USD)                                        |
| total\_net\_assets   | BigDecimal | Total net assets of all ETFs (USD)                                            |
| cum\_net\_inflow     | BigDecimal | Cumulative net inflow since ETF launch (USD)                                  |

**Notes**

* Data is sorted in reverse chronological order (latest date first).
* Non-trading days (weekends, holidays) are excluded from results.
* You can use `start_date` / `end_date` together to perform range queries and reduce the amount of data returned.
* The query range is limited to the most recent 1 month.

**symbol Enum**

| Value | Description |
| ----- | ----------- |
| BTC   | Bitcoin     |
| ETH   | Ethereum    |
| SOL   | Solana      |
| LTC   | Litecoin    |
| HBAR  | Hedera      |
| XRP   | XRP         |
| DOGE  | Dogecoin    |
| LINK  | Chainlink   |
| AVAX  | Avalanche   |
| DOT   | Polkadot    |

**country\_code Enum**

| Value | Description   |
| ----- | ------------- |
| US    | United States |
| HK    | Hong Kong     |
